@PHOLHAD
COMMIT WORK;
SET AUTODDL OFF;
SET TERM ^ ;

/* Stored procedures */

CREATE PROCEDURE "AAA" 
(
  "XCODEMP" VARCHAR(4),
  "XEMPATU" VARCHAR(4)
)
AS
BEGIN EXIT; END ^


ALTER PROCEDURE "AAA" 
(
  "XCODEMP" VARCHAR(4),
  "XEMPATU" VARCHAR(4)
)
AS
begin
UPDATE PHCAFA  SET PHCAFA.CODEMP = :XEMPATU  WHERE PHCAFA.CODEMP = :XCODEMP;
UPDATE PHCAFA2  SET PHCAFA2.CODEMP = :XEMPATU  WHERE PHCAFA2.CODEMP = :XCODEMP;
end
 ^

SET TERM ; ^
COMMIT WORK;
SET AUTODDL ON;
@EXECSQL
